Page MenuHomePhabricator

Category links are swallowed into definition list output even when they are outside the list
Closed, ResolvedPublic

Description

[subbu@earth:~/work/wmf/parsoid] echo -e ":a\n\n[[Category:Foo]]" | parse.js --normalize=parsoid

<dl>
<dd>a <link rel="mw:PageProp/Category" href="./Category:Foo"/></dd>
</dl>

[subbu@earth:~/work/wmf/parsoid] echo -e "*a\n\n[[Category:Foo]]" | parse.js --normalize=parsoid

<ul>
<li>a</li>
</ul>
<link rel="mw:PageProp/Category" href="./Category:Foo"/>

So, we handle regular lists properly.

Event Timeline

ssastry created this task.May 15 2018, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2018, 4:13 PM
ssastry triaged this task as Normal priority.May 15 2018, 4:13 PM
ssastry moved this task from Backlog to Read Views on the Parsoid board.May 16 2018, 1:40 PM

Change 433377 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Migrate trailing categories out of dt/dd tags as well

https://gerrit.wikimedia.org/r/433377

ssastry claimed this task.May 16 2018, 7:48 PM

Change 433377 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Migrate trailing categories out of dt/dd tags as well

https://gerrit.wikimedia.org/r/433377

ssastry closed this task as Resolved.May 22 2018, 2:46 PM
Vvjjkkii renamed this task from Category links are swallowed into definition list output even when they are outside the list to uwcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ssastry as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from uwcaaaaaaa to Category links are swallowed into definition list output even when they are outside the list.Jul 2 2018, 5:16 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to ssastry.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.